Name:		bangarang
Version:	1.0
Release:	1.rc1%{?dist}
Summary:	A media player for the KDE SC

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://bangarangkde.wordpress.com/
Source0:	http://www.kde-apps.org/CONTENT/content-files/113305-%{name}-1.0~RC.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext, kdemultimedia-devel, taglib-devel, soprano-devel
Requires:	kdemultimedia

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
* Play your media (Media files, CD and DVD).
* Restrained interface that puts your media front-and-center.
* Media library functions that allow you simple, effective browsing and 
  categorization for all your media including:
	o Music
	o Audio streams
	o Audio clips
	o Movies
	o TV Shows
	o Video clips
* Rating and play count tracking
* Search functions
* Saved media lists including:
	o Save media lists for any media type
	o Save media list “views” – Save any view while browsing, 
	  including search results. Views are “live” – when you add 
	  that new Muse album to your library, your saved media list 
	  view will automatically reflect it.
* Employs core KDE4 technologies including:
	o Nepomuk – Uses and shares media data with the rest of your desktop.
	o Phonon – Whatever the phonon backend plays, Bangarang plays.


%prep
%setup -q -n bangarang-bangarang

sed -i 's,x-scpls,x-scpls;,' data/bangarang.desktop

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
   update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README HACKING TESTING
%{_kde4_bindir}/bangarang*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_datadir}/kde4/apps/solid/actions/%{name}*

%changelog
* Thu Jan 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0-1.rc1
- Initial Fedora release